### Enumeration

# Vips OperationMath

#### Declaration

    enum Vips.OperationMath

#### Description [src]

See also: `vips_math()`.

#### Members

`VIPS_OPERATION_MATH_SIN`

  `sin()`, angles in degrees.

  - Value: `0`
  - Available since: 8.0
`VIPS_OPERATION_MATH_COS`

  `cos()`, angles in degrees.

  - Value: `1`
  - Available since: 8.0
`VIPS_OPERATION_MATH_TAN`

  `tan()`, angles in degrees.

  - Value: `2`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ASIN`

  `asin()`, angles in degrees.

  - Value: `3`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ACOS`

  `acos()`, angles in degrees.

  - Value: `4`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ATAN`

  `atan()`, angles in degrees.

  - Value: `5`
  - Available since: 8.0
`VIPS_OPERATION_MATH_LOG`

  Log base e.

  - Value: `6`
  - Available since: 8.0
`VIPS_OPERATION_MATH_LOG10`

  Log base 10.

  - Value: `7`
  - Available since: 8.0
`VIPS_OPERATION_MATH_EXP`

  E to the something.

  - Value: `8`
  - Available since: 8.0
`VIPS_OPERATION_MATH_EXP10`

  10 to the something.

  - Value: `9`
  - Available since: 8.0
`VIPS_OPERATION_MATH_SINH`

  `sinh()`, angles in radians.

  - Value: `10`
  - Available since: 8.0
`VIPS_OPERATION_MATH_COSH`

  `cosh()`, angles in radians.

  - Value: `11`
  - Available since: 8.0
`VIPS_OPERATION_MATH_TANH`

  `tanh()`, angles in radians.

  - Value: `12`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ASINH`

  `asinh()`, angles in radians.

  - Value: `13`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ACOSH`

  `acosh()`, angles in radians.

  - Value: `14`
  - Available since: 8.0
`VIPS_OPERATION_MATH_ATANH`

  `atanh()`, angles in radians.

  - Value: `15`
  - Available since: 8.0